/*
 * Copyright (C) 1994-1997, Index Data I/S 
 * All rights reserved.
 * Sebastian Hammer, Adam Dickmeiss
 *
 * $Log: zebramap.h,v $
 * Revision 1.3  1997/11/18 10:05:08  adam
 * Changed character map facility so that admin can specify character
 * mapping files for each register type, w, p, etc.
 *
 * Revision 1.2  1997/10/29 12:02:47  adam
 * Added missing prototype.
 *
 * Revision 1.1  1997/10/27 14:33:04  adam
 * Moved towards generic character mapping depending on "structure"
 * field in abstract syntax file. Fixed a few memory leaks. Fixed
 * bug with negative integers when doing searches with relational
 * operators.
 *
 */

#ifndef ZEBRAMAP_H
#define ZEBRAMAP_H

#include <proto.h>
#include <res.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct zebra_maps *ZebraMaps;
ZebraMaps zebra_maps_open (const char *tabpath, Res res);

void zebra_maps_close (ZebraMaps zm);

const char **zebra_maps_input (ZebraMaps zms, int reg_type,
			       const char **from, int len);
const char *zebra_maps_output(ZebraMaps, int reg_type, const char **from);

int zebra_maps_attr (ZebraMaps zms, Z_AttributesPlusTerm *zapt,
		     int *reg_type, char **search_type, int *complete_flag);

int zebra_maps_is_complete (ZebraMaps zms, int structure);
#ifdef __cplusplus
}
#endif

#endif
